#==============================================================================
# Main Mentry package module.
#
# Copyright (c) 1999-2004  Csaba Nemethi (E-mail: csaba.nemethi@t-online.de)
#==============================================================================

if {[catch {package require Wcb 2.7} result1] != 0 &&
    [catch {package require wcb 2.7} result2] != 0 &&
    [catch {package require Wcb 3.0} result3] != 0 &&
    [catch {package require wcb 3.0} result4] != 0} {
    error "$result1; $result2; $result3; $result4"
}

namespace eval mentry {
    #
    # Public variables:
    #
    variable version	2.8
    if {[string compare $::tcl_platform(platform) "macintosh"] != 0} {
	#
	# On the Macintosh, the mentry::library variable is
	# set in the file pkgIndex.tcl, because of a bug in
	# [info script] in some Tcl releases for that platform.
	#
	variable library	[file dirname [info script]]
    }

    #
    # Creates a new multi-entry widget:
    #
    namespace export	mentry

    #
    # Implement multi-entry widgets for date and time:
    #
    namespace export	dateMentry timeMentry putClockVal getClockVal

    #
    # Implement a multi-entry widget for real numbers in fixed-point format:
    #
    namespace export	fixedPointMentry putReal getReal

    #
    # Implement a multi-entry widget for IP addresses:
    #
    namespace export	ipAddrMentry putIPAddr getIPAddr
}

package provide Mentry $mentry::version
package provide mentry $mentry::version

lappend auto_path [file join $mentry::library scripts]
